Rudiments

Public Member Functions | List of all members
syslogdestination Class Reference

Inherits logdestination.

## Public Member Functions
| syslogdestination ()
| syslogdestination (const syslogdestination &f)
syslogdestination & | operator= (const syslogdestination &f)
virtual | ~syslogdestination ()
void | open (const char *ident, int32_t option, int32_t facility, int32_t priority)
void | close ()

## Detailed Description

The syslogdestination class writes log data to syslog.

## Constructor & Destructor Documentation

## ◆ syslogdestination() [1/2]

syslogdestination::syslogdestination | ( |  | ) |

Creates an instance of the syslogdestination class.

## ◆ syslogdestination() [2/2]

syslogdestination::syslogdestination | ( | const syslogdestination & | f | ) |

Creates an instance of the syslogdestination class that is a copy of "f".

## ◆ ~syslogdestination()

virtual syslogdestination::~syslogdestination | ( |  | ) |
| virtual

Deletes this instance of the syslogdestination class.

## Member Function Documentation

## ◆ close()

void syslogdestination::close | ( |  | ) |

Closes the syslog as a loggin destination.

## ◆ open()

void syslogdestination::open | ( | const char * | ident,
|  | int32_t | option,
|  | int32_t | facility,
|  | int32_t | priority
| ) |  |

Opens the syslog as a logging destination using "option", "facility" and "priority". The string "ident" will be prepended to each message.

## ◆ operator=()

syslogdestination& syslogdestination::operator= | ( | const syslogdestination & | f | ) |

Makes this instance of the syslogdestination class identical to "f".